
#include <IRremote.h>
#include <Wire.h>

IRsend irsend;
String revChar = "0x012345";

void setup()
{
  Serial.begin(9600);
  Wire.begin(8);                // Join I2C-Bus, adress 8
  Wire.onReceive(receiveEvent); // register event
  Serial.println("I2C-IRRec Ready");
}

void loop() {

}

void receiveEvent(int howMany)
{
  Serial.println("Got I2C Signal");

  int ii = 0;
  revChar = "";
    
  while (1 < Wire.available()) // loop through all but the last
  {
    char c = Wire.read(); // receive byte as a character
    revChar.concat(c);
  }
  char c = Wire.read(); // receive byte as a character
  revChar.concat(c);

  //send code via IR-Remote
  int str_len = revChar.length() + 1;
  char myChar_array[str_len];
  revChar.toCharArray(myChar_array, str_len);
  
  unsigned long revCharInt = strtoul(myChar_array, NULL, 16); 
  irsend.sendNEC(revCharInt, 32);

  Serial.println(revChar);         // print the integer
}
